GET api/departmentapi/department/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

DepartmentViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

code

integer

Required

contract_id

globally unique identifier

Required

delay_between_scans

integer

None.

id

globally unique identifier

None.

item_wash_max

integer

None.

name

string

None.

remark

string

None.

selected_nameplate_id

globally unique identifier

None.

selected_sticker_id

globally unique identifier

None.

Response Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": 2,
  "contract_id": "20838818-11b9-4a05-975b-6ba4192a2124",
  "delay_between_scans": 1,
  "id": "549ac6f2-545e-4419-b1c1-ec248bc7f1df",
  "item_wash_max": 1,
  "name": "sample string 5",
  "remark": "sample string 6",
  "selected_nameplate_id": "d53bbf98-3a7d-42b5-a5d6-60a941a5d8ab",
  "selected_sticker_id": "e3e94076-0422-4459-9835-acdcca028af5"
}

application/xml, text/xml

Sample:
<department xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>2</code>
  <contract_id>20838818-11b9-4a05-975b-6ba4192a2124</contract_id>
  <delay_between_scans>1</delay_between_scans>
  <id>549ac6f2-545e-4419-b1c1-ec248bc7f1df</id>
  <item_wash_max>1</item_wash_max>
  <name>sample string 5</name>
  <remark>sample string 6</remark>
  <selected_nameplate_id>d53bbf98-3a7d-42b5-a5d6-60a941a5d8ab</selected_nameplate_id>
  <selected_sticker_id>e3e94076-0422-4459-9835-acdcca028af5</selected_sticker_id>
</department>